LDEXP(3G)

NAME
ldexp - assemble a floating point number from a value and exponent

DECLARATION

genType ldexp(genType x, genIType exp);

genDType ldexp(genDType x, genIType exp);

PARAMETERS

x
    Specifies the value to be used as a source of significand.

out exp
    Specifies the value to be used as a source of exponent.

DESCRIPTION

ldexp builds a floating point number from x and the corresponding integral exponent of two in exp, returning:

significand ⋅ 2 exponent

If this product is too large to be represented in the floating point type, the result is undefined.

VERSION SUPPORT
 | OpenGL Shading Language Version
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
ldexp (genType) | - | - | - | - | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔
ldexp (genDType) | - | - | - | - | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔

SEE ALSO

frexp()

COPYRIGHT

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.

COPYRIGHT
Copyright © 2011-2014 Khronos Group